Package org.apache.tools.ant.taskdefs

# Class VerifyJar

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.AbstractJarSignerTask
org.apache.tools.ant.taskdefs.VerifyJar

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class VerifyJar
    extends AbstractJarSignerTask

JAR verification task. For every JAR passed in, we fork jarsigner to verify that it is correctly signed. This is more rigorous than just checking for the existence of a signature; the entire certification chain is tested

Since:
  Ant 1.7

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `ERROR_NO_FILE` | no file message "Not found :"
`static java.lang.String` | `ERROR_NO_VERIFY` | Error output if there is a failure to verify the jar.

### Fields inherited from class org.apache.tools.ant.taskdefs.AbstractJarSignerTask

`alias, ERROR_NO_SOURCE, filesets, jar, JARSIGNER_COMMAND, keypass, keystore, maxMemory, storepass, storetype, strict, verbose`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`VerifyJar()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `beginExecution()` | init processing logic; this is retained through our execution(s)
`protected void` | `endExecution()` | any cleanup logic
`void` | `execute()` | verify our jar files
`void` | `setCertificates​(boolean certificates)` | Ask for certificate information to be printed

### Methods inherited from class org.apache.tools.ant.taskdefs.AbstractJarSignerTask

`addArg, addArgument, addFileset, addSysproperty, addValue, bindToKeystore, createJarSigner, createPath, createUnifiedSourcePath, createUnifiedSources, declareSysProperty, getRedirector, hasResources, setAlias, setCommonOptions, setExecutable, setJar, setKeypass, setKeystore, setMaxmemory, setProviderArg, setProviderClass, setProviderName, setStorepass, setStoretype, setStrict, setVerbose`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ERROR_NO_FILE

public static final java.lang.String ERROR_NO_FILE
no file message "Not found :"

See Also:
  Constant Field Values

### ERROR_NO_VERIFY

public static final java.lang.String ERROR_NO_VERIFY
Error output if there is a failure to verify the jar.

See Also:
  Constant Field Values

## Constructor Details

### VerifyJar

public VerifyJar()

## Method Details

### setCertificates

public void setCertificates​(boolean certificates)
Ask for certificate information to be printed

Parameters:
  `certificates` - if true print certificates.

### execute

public void execute() throws BuildException
verify our jar files

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - on error.

### beginExecution

protected void beginExecution()
Description copied from class: `AbstractJarSignerTask`
init processing logic; this is retained through our execution(s)

Overrides:
  `beginExecution` in class `AbstractJarSignerTask`
Since:
  1.10.3

### endExecution

protected void endExecution()
Description copied from class: `AbstractJarSignerTask`
any cleanup logic

Overrides:
  `endExecution` in class `AbstractJarSignerTask`
Since:
  1.10.3